Creates a new scheduled event in the specified space.
curl --request POST \
--url https://app.up.telestream.com/livecapture/v1/{space_id}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"duration": 123,
"rrule": "<string>",
"tags": [
"<string>"
],
"tasks": [
{
"type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_object": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"duration": 123,
"time_offset": {
"amount": 123
},
"payload": "<string>"
}
]
}
'import requests
url = "https://app.up.telestream.com/livecapture/v1/{space_id}/events"
payload = {
"name": "<string>",
"duration": 123,
"rrule": "<string>",
"tags": ["<string>"],
"tasks": [
{
"type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_object": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"duration": 123,
"time_offset": { "amount": 123 },
"payload": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
duration: 123,
rrule: '<string>',
tags: ['<string>'],
tasks: [
{
type_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
target_object: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
duration: 123,
time_offset: {amount: 123},
payload: '<string>'
}
]
})
};
fetch('https://app.up.telestream.com/livecapture/v1/{space_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"duration": 123,
"rrule": "<string>",
"tags": [
"<string>"
],
"tasks": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"target_object": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"duration": 123,
"time_offset": {
"amount": 123
},
"payload": "<string>"
}
]
}{
"error_message": "<string>"
}{
"errors": {}
}{
"error_message": "<string>"
}event
Creates a new scheduled event in the specified space.
POST
/
{space_id}
/
events
Creates a new scheduled event in the specified space.
Authorizations
OAuth2 bearer token in the Authorization header
Path Parameters
UP Space Id
Body
application/json
Response
Event created
Available options:
BLUE, CYAN, GREEN, MAGENTA, RED, YELLOW Duration in seconds for each occurrence. May be 0.
RFC-5545 §3.8.5.3 recurrence rule, including time zone.
Show child attributes
Show child attributes
⌘I
